# Call number

An action block that initiates a phone number without user interaction.

The fiber will proceed immediately without pause.

May not initiate the call or MMI code on some devices, e.g. a “call forwarding” MMI code on Android 14+, try enclosing the code in (). Can’t be used to call emergency numbers.

Automate limits the rate of outgoing calls made with this block. The rate can be configured in settings.

Note! The Subscription id and SIM slot aren’t officially supported until Android 8+, may not work on all devices.

## Input arguments

- Phone number — phone number to be called.
- Subscription id — id of subscription (SIM) used for call, default is the system default call subscription.
- SIM slot — slot of SIM used for call, deprecated on Android 5+ in favor of subscription id, default is the slot of system default call subscription.
- Flags — call flags.